## smstools 1.5.0

=== Makefile ===
# Makefile

all: compile

install: compile
	cp bin/* /usr/local/bin
	test -d /var/spool/sms          || mkdir /var/spool/sms
	test -d /var/spool/sms/incoming || mkdir /var/spool/sms/incoming
	test -d /var/spool/sms/outgoing || mkdir /var/spool/sms/outgoing
	test -d /var/spool/sms/failed   || mkdir /var/spool/sms/failed
	test -f /etc/smsd.conf          || cp examples/smsd.conf /etc
	chmod a+rwx /var/spool/sms/outgoing
	chmod a+rwx /var/spool/sms/incoming

clean:
	rm -f src/*.o
	rm -f bin/*

compile:
	cd src ; make

package: clean
	cd ..;tar -cvzf smstools.tar.gz smstools
	cp ../smstools.tar.gz ../smstools-`grep package_version src/version.h | cut -f2`.tar.gz 
	cp ../smstools-`grep package_version src/version.h | cut -f2`.tar.gz /dokumente/homepages/stefanfrings/smstools

=== src/Makefile ===
# Makefile

OBJ = extras.o locking.o cfgfile.o smsd_cfg.o charset.o stats.o blacklist.o logging.o
OBJ2 = extras.o locking.o cfgfile.o charset.o logging.o modeminit.o

all: ../bin/smsd ../bin/getsms ../bin/putsms

../bin/smsd: smsd.c $(OBJ)
	gcc `mm-config --cflags` -o ../bin/smsd smsd.c $(OBJ) `mm-config --ldflags --libs`

../bin/getsms: $(OBJ2)
	gcc -o ../bin/getsms getsms.c $(OBJ2)

../bin/putsms: putsms.c $(OBJ2)
	gcc -o ../bin/putsms putsms.c $(OBJ2)

clean:
	rm *.o

## smstools 1.14.3

=== src/Makefile ===
# Uncomment for Windows
# CFLAGS = -D WINDOWS

# Uncomment for Solaris
# CFLAGS = -D SOLARIS

# Uncomment to compile without statistic functions and without mm library
#CFLAGS += -D NOSTATS

# Uncomment to add debug info
CFLAGS += -ggdb -O0

all: ../bin/smsd ../bin/getsms ../bin/putsms

../bin/smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o
ifneq (,$(findstring NOSTATS,$(CFLAGS)))
	  $(CC) $(CFLAGS) -o $@ $^
else 
	  $(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs`
endif

../bin/getsms: getsms.c extras.o locking.o cfgfile.o logging.o alarm.o charset.o modeminit.o
	$(CC) $(CFLAGS) -o $@ $^ 

../bin/putsms: putsms.c extras.o locking.o cfgfile.o logging.o alarm.o charset.o modeminit.o
	$(CC) $(CFLAGS) -o $@ $^ 

clean:
	rm -f *.o ../bin/smsd ../bin/getsms ../bin/putsms

## smstools 1.14.8

=== Makefile ===
# Makefile

VERSION=$(shell grep package_version src/version.h | cut -f2)

compile: 
	cd src && $(MAKE) -$(MAKEFLAGS) 

install: compile
	./install.sub

clean:
	cd src && $(MAKE) -$(MAKEFLAGS) clean

package: compile clean
	./package.sub

## smstools 1.14.10

=== src/Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 # CFLAGS = -D SOLARIS
 
 # Uncomment to compile without statistic functions and without mm library
-#CFLAGS += -D NOSTATS
+# CFLAGS += -D NOSTATS
 
 # Uncomment to add debug info
-CFLAGS += -ggdb -O0
+# CFLAGS += -ggdb -O0
 
 all: ../bin/smsd ../bin/getsms ../bin/putsms

## smstools 1.16

=== src/Makefile ===
--- 
+++ 
@@ -4,11 +4,14 @@
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
 
-# Uncomment to compile without statistic functions and without mm library
-# CFLAGS += -D NOSTATS
+# Comment this out, to enable statistics
+CFLAGS += -D NOSTATS
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
+
+# Uncomment to enable all compiler warnings (only for testing)
+# CFLAGS += -Wall
 
 all: ../bin/smsd ../bin/getsms ../bin/putsms

## smstools 3.0.2

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,13 @@
 	cd src && $(MAKE) -$(MAKEFLAGS) 
 
 install: compile
-	./install.sub
+	./install.sh
+
+uninstall: 
+	./uninstall.sh
 
 clean:
 	cd src && $(MAKE) -$(MAKEFLAGS) clean
 
 package: compile clean
-	./package.sub
+	./package.sh

=== src/Makefile ===
# In case of windows, modification is not necessary anymore.

# Uncomment for Solaris
# CFLAGS = -D SOLARIS

# Comment this out, to enable statistics
CFLAGS += -D NOSTATS

# Uncomment to add debug info
# CFLAGS += -ggdb -O0

# The following options are only used by developers
# CFLAGS += -Wall 
# CFLAGS += -D DEBUGMSG

all: smsd 

smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o
ifneq (,$(findstring NOSTATS,$(CFLAGS)))
	  $(CC) $(CFLAGS) -o $@ $^
else 
	  $(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs`
	@echo "(Please ignore warning about tempnam -- it is used in a safe way)"
endif


clean:
	rm -f *.o smsd *.exe

## smstools 3.0.10

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
-# In case of windows, modification is not necessary anymore.
+# In case of windows, use os_cygwin=yes setting in the configuration file (smsd.conf).
 
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
+# CC=gcc
 
 # Comment this out, to enable statistics
 CFLAGS += -D NOSTATS
+
+# Uncomment this to force smsd to run in terminal mode
+#CFLAGS += -D TERMINAL
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
@@ -23,6 +27,5 @@
 	@echo "(Please ignore warning about tempnam -- it is used in a safe way)"
 endif
 
-
 clean:
 	rm -f *.o smsd *.exe

## smstools 3.1

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
+# This might be also needed for Solaris:
 # CC=gcc
 
 # Comment this out, to enable statistics

## smstools 3.1.6

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 # In case of windows, use os_cygwin=yes setting in the configuration file (smsd.conf).
 
+# Select your setup size:
+CFLAGS = -D NUMBER_OF_MODEMS=64
+
 # Uncomment for Solaris
-# CFLAGS = -D SOLARIS
+# CFLAGS += -D SOLARIS
 # This might be also needed for Solaris:
 # CC=gcc
 
@@ -14,9 +17,13 @@
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
 
-# The following options are only used by developers
-# CFLAGS += -Wall 
+# The following option is only used by developers
 # CFLAGS += -D DEBUGMSG
+
+CFLAGS += -Wall 
+
+# The following enables logfile size more than 2GB
+CFLAGS += -D_FILE_OFFSET_BITS=64
 
 all: smsd 
 
@@ -25,8 +32,7 @@
 	  $(CC) $(CFLAGS) -o $@ $^
 else 
 	  $(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs`
-	@echo "(Please ignore warning about tempnam -- it is used in a safe way)"
 endif
 
 clean:
-	rm -f *.o smsd *.exe
+	rm -f *.o smsd *.exe *~

## smstools 3.1.11

=== src/Makefile ===
--- 
+++ 
@@ -11,8 +11,17 @@
 # Comment this out, to enable statistics
 CFLAGS += -D NOSTATS
 
+# Comment this out if iconv is not available on the system
+#CFLAGS += -D USE_ICONV
+
+# Uncomment this is iconv is used and it's not included in libc:
+#LFLAGS += -liconv
+
 # Uncomment this to force smsd to run in terminal mode
 #CFLAGS += -D TERMINAL
+
+# Uncomment this to disable usage of inet socket
+#CFLAGS += -D DISABLE_INET_SOCKET
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
@@ -20,18 +29,28 @@
 # The following option is only used by developers
 # CFLAGS += -D DEBUGMSG
 
-CFLAGS += -Wall 
+CFLAGS += -W -Wall -Wchar-subscripts
 
 # The following enables logfile size more than 2GB
 CFLAGS += -D_FILE_OFFSET_BITS=64
 
+# Use the following only on GNU/Linux and only if you need ps listing like "smsd: MAINPROCESS" and "smsd: GSM1"
+# CFLAGS += -D USE_LINUX_PS_TRICK
+
 all: smsd 
 
 smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o
+
+ifneq (,$(findstring SOLARIS,$(CFLAGS)))
+ifeq (,$(findstring DISABLE_INET_SOCKET,$(CFLAGS)))
+override LFLAGS += -lsocket -lnsl
+endif
+endif
+
 ifneq (,$(findstring NOSTATS,$(CFLAGS)))
-	  $(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS)
 else 
-	  $(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs`
+	$(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs` $(LFLAGS)
 endif
 
 clean:

## smstools 3.1.14

=== Makefile ===
# Makefile

# If you change destination of executables, remember to change
# startup script (init.d/sms3) too.
BINDIR=/usr/local/bin

VERSION=$(shell grep package_version src/version.h | cut -f2)

compile: 
	cd src && $(MAKE) -$(MAKEFLAGS) 

install: compile
	./install.sh $(BINDIR)

uninstall: 
	./uninstall.sh $(BINDIR)

clean:
	cd src && $(MAKE) -$(MAKEFLAGS) clean

package: compile clean
	./package.sh

## smstools 3.1.15

=== src/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # The following option is only used by developers
 # CFLAGS += -D DEBUGMSG
 
-CFLAGS += -W -Wall -Wchar-subscripts
+CFLAGS += -W -Wall
 
 # The following enables logfile size more than 2GB
 CFLAGS += -D_FILE_OFFSET_BITS=64

## smstools 3.1.21

=== src/Makefile ===
--- 
+++ 
@@ -11,17 +11,29 @@
 # Comment this out, to enable statistics
 CFLAGS += -D NOSTATS
 
-# Comment this out if iconv is not available on the system
-#CFLAGS += -D USE_ICONV
+# Uncomment this to disable usage of inotify
+#CFLAGS += -D DISABLE_INOTIFY
 
-# Uncomment this is iconv is used and it's not included in libc:
-#LFLAGS += -liconv
+# Uncomment for FreeBSD if statistics are enabled
+#CFLAGS += -I/usr/local/include
+
+# Uncomment for FreeBSD if inotify is used
+#LFLAGS += -L/usr/local/lib -linotify
 
 # Uncomment this to force smsd to run in terminal mode
 #CFLAGS += -D TERMINAL
 
 # Uncomment this to disable usage of inet socket
 #CFLAGS += -D DISABLE_INET_SOCKET
+
+# Uncomment this to disable usage of national language shift tables
+#CFLAGS += -D DISABLE_NATIONAL_LANGUAGE_SHIFT_TABLES
+
+# Uncomment this to support european national languages only
+#CFLAGS += -D NATIONAL_LANGUAGES_EUROPEAN_ONLY
+
+# Uncomment this to print national language shift tables (smsd does not do anything else)
+#CFLAGS += -D PRINT_NATIONAL_LANGUAGE_SHIFT_TABLES
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
@@ -39,11 +51,11 @@
 
 all: smsd 
 
-smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o
+smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o charshift.o
 
 ifneq (,$(findstring SOLARIS,$(CFLAGS)))
 ifeq (,$(findstring DISABLE_INET_SOCKET,$(CFLAGS)))
-override LFLAGS += -lsocket -lnsl
+	override LFLAGS += -lsocket -lnsl
 endif
 endif

=== debian/changelog ===
smstools (3.1.21-6) unstable; urgency=medium

  * debian/control: remove outdated debconf version constraint
                    (Closes: #1096121)
                    thanks a lot to Gioele Barabucci for the MR
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: remove dependency on quilt
  * debian/rules: remove include of quilt.make
                  (Closes:  #1115217)
                  thanks a lot to Alexandre Detiste for trying to
                  get rid of quilt.make
  * debian/logcheck/smstools: update regex to be compatible with
                              systemd-journal and syslog
                              (Closes: #1050488)
                              thanks a lot to Vaclav Ovsik for the patch
  * debian/service: add autogenerated file as a start
                    (Closes: #1039371)
                    (I am open for improvements)
  * add gbp.conf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 03 Oct 2025 08:39:26 +0200

smstools (3.1.21-5) unstable; urgency=medium

  * add sms-only-registration.patch
    a Telco in the wild changed some bits

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 May 2025 18:39:26 +0200

smstools (3.1.21-4) unstable; urgency=medium

  * take care of gcc10 errors (Closes: #957818)
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/patches/spelling.patch: add more stuff noted by lintian

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 21:39:26 +0200

smstools (3.1.21-3) unstable; urgency=medium

  * move package to salsa
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jul 2018 19:39:26 +0200

smstools (3.1.21-2) unstable; urgency=medium

  * move to unstable
  * debian/control: bump standard to 4.1.1 (no changes)
  * debian/control: move maintainer to mobcom
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Oct 2017 19:39:26 +0200

smstools (3.1.21-1) experimental; urgency=medium

  * new upstream version
  * Version >= 3.1.16 now respects TMPDIR and TEMPDIR variables.
    (Closes: #635717)
  * Version 3.1.17 can now use inotifywait, if user wants and needs
    to use it (smsd.conf: notifier = yes/no).
    (Closes: #703687)
  * CPU usage spikes fixed in 3.1.16 (Closes: #688451)
  * using "modern" rules file and docu should be available on all archs
    (Closes: #593934)
  * Zombie-issue is fixed in the version >= 3.1.16.
    (Closes: #569346)
  * Message delay is fixed in the version >= 3.1.16.
    (Closes: #755898)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 May 2017 19:39:26 +0200

smstools (3.1.15-3) experimental; urgency=medium

  * new maintainer (Closes: #839973)
  * debian/compat: use dh 10
  * debian/control: bump standard to 3.9.8 (no changes)
  * debian/postinst: add "--home /nonexistent" to adduser call
  * debian/source/format: switch format to 3.0 (quilt)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Apr 2017 18:39:26 +0200

smstools (3.1.15-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #839973)
  * Add the lsb-base dependency required for the init script.
  * Add Dutch debconf template translation from Frans Spiesschaert.
    (Closes: #766196)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 01:39:26 +0200

smstools (3.1.15-1.2) unstable; urgency=high

  * NMU by Jonas Meurer to push the fix into Jessie.
  * Fix initscript (debian/init.d):
    * drop action 'reload' as it does not what policy demands it to do. Use
      'force-reload' in logrotate post-rotate action. This fixes 'force-reload'
      action when used through systemd tools and prevents the smsd daemon
      process from being killed at every log rotation. (closes: #782996)
    * source /lib/lsb/init-functions in order to make systemd tools aware of
      status changes to the daemon that have been caused by invoking the
      initscript directly.

 -- Jonas Meurer <mejo@debian.org>  Mon, 27 Apr 2015 20:45:40 +0200

smstools (3.1.15-1.1) unstable; urgency=low

  * NMU - preventing smstools from entering jessie.
  * Fix syntax error in src/Makefile, override in wrong place.
    debian/patches/fix-makefile-override.patch
    (Closes: #750350)

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  9 Oct 2014 17:07:32 +1000

smstools (3.1.15-1) unstable; urgency=low

  * New upstream release:
    - Includes fix for segfault when run with 'smsd -s', so drop the patch
  * Acknowledge NMUs, thanks to Moritz Muehlenhoff and Gregor Herrman
  * Update to standards version 3.9.5; no changes needed
  * Bugfix to init script: Make reload target status-aware, so that stopped
    services are not started on reload
    (Closes: #709014)

 -- Patrick Schoenfeld <patrick.schoenfeld@credativ.de>  Fri, 08 Nov 2013 11:39:45 +0100

smstools (3.1.14-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "smsd -s produces Segmentation fault":
    add new patch processid.patch, backported from 3.1.15 release:
    "When creating a lockfile, main process used incorrect offset -1 with the
    table of names of processes. This caused segmentation fault when smsd was
    compiled using latest compilers."
    (Closes: #682416)

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Nov 2012 19:03:31 +0100

smstools (3.1.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #656531)
  * Add Danish debconf translation, thanks to Joe Dalton (Closes: #662043)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 24 Jun 2012 22:43:34 +0200

smstools (3.1.14-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks to Jan Wagner
  * Add a logrotate configuration file
  * Use the new quilt dh series and minimize debian/rules accordingly
  * Add new debconf template translations:
    + Brazilian Portugese translation, thanks to Jef Lui.
      (Closes: #592742)


=== debian/control ===
Source: smstools
Section: comm
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12)
	, libmm-dev
	, po-debconf
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/smstools
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/smstools.git
Homepage: http://smstools3.kekekasvi.com
Standards-Version: 4.7.2

Package: smstools
Architecture: any
Depends: ucf (>= 0.28)
	, adduser
	, ${shlibs:Depends}
	, ${misc:Depends}
	, lsb-base
Description: SMS server tools for GSM modems
 The SMS server tools allow setting up a central SMS gateway. It
 sends and receives SMS messages using a simple file-based
 interface. It can accommodate up to 20,000 messages a month.
 .
 It supports an event-handler option that allows calling customized
 programs or scripts after sending or receiving SMS messages.
 .
 The SMS Server Tools use one or more (max. 32) GSM modems to send and
 receive SMS messages. Some modems may be equipped with SIM cards such
 as Vodafone or Telmi ones.  All messages are sorted in queues by the
 provider. If one modem fails, it will be deactivated for one hour
 before the software retries, while other modems run without any
 restriction. The status information and alarms are logged with
 syslog.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	# Fix permissions
	chmod 644 scripts/smstest.php
	dh_auto_install
	# Install changelogs
	dh_installchangelogs doc/history3.html
#	dh_installdocs doc -Xhistory3.html
#	mv debian/smstools/usr/share/doc/smstools/doc debian/smstools/usr/share/doc/smstools/html
#	# Fix permissions
#	find debian/smstools/usr/share/doc/smstools -type f -exec chmod 644 \{\} \+
#	chmod 755 debian/smstools/usr/share/doc/smstools/examples/scripts/
#	# Fix permissions
#	chmod 644 scripts/smstest.php

%:
	dh $@

=== debian/watch ===
version=4
https://smstools3.kekekasvi.com/index.php?p=packages	./packages/smstools3-([0-9.]*)\.tar\.gz	debian uupdate
